{% extends 'base.html' %}
{% load static %}

{% block css %}
<link rel="stylesheet" href="{% static 'story5/style.css' %}" />
{% endblock %}


  <!-- add icon link -->
  <link rel="icon" type="image/png" sizes="=120x120" href="static/favicon.png" type="image/x-icon">

{% block title %}
  <title> uchi's Story 5 </title>
{% endblock %}

{% block content %}
<br>
<br>

<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">


  <!-- Bootstrap Core CSS -->
  <link href="vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">

  <!-- Custom Fonts -->
  <link href="vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,700,300italic,400italic,700italic" rel="stylesheet" type="text/css">
  <link href="vendor/simple-line-icons/css/simple-line-icons.css" rel="stylesheet">

  <!-- Custom CSS -->
  <link href="css/stylish-portfolio.min.css" rel="stylesheet">

</head>

<body id="page-top">


  <!-- Header -->
  <header class="masthead d-flex">
    <div class="container text-center my-auto">
      <h1 class="mb-1" style="color:#6D458F !important"> Hello, back again with me! </h1>
      <h3 class="mb-5">
        <em> Now, let's make a schedule! </em>
      </h3>
      <a class="btn btn-primary btn-xl js-scroll-trigger" style="background-color:#a288e3 !important" href="#about">Find Out More</a>
    </div>
    <div class="overlay"></div>
  </header>

  <!-- About -->
  <section class="content-section bg-light" id="about" style="background-color:#BBD5ED!important";>
    <div class="container text-center">
      <div class="row">
        <div class="col-lg-10 mx-auto">
          <h2> Schedule kayak gimana tuh? </h2>
          <p class="lead mb-5"> Yuk, langsung aja liat! :D </p>
          <a class="btn btn-dark btn-xl js-scroll-trigger" href="#schedule_set"> Check It Out </a>
        </div>
      </div>
    </div>
  </section>


<section class="content-section bg-primary text-white text-center" style="background-color:#a288e3 !important";> 
  <!-- <div id="formbody"> -->
<h1 id="schedule_set"> Course Schedule </h1>
<h3> ( Jadwal Mata Kuliah ) </h3>

  <div id="Matkul">
      <div id="bton2">
          <a href="/story5/#lihat_jadwal">
              <button class="btn btn-info" style="background-color: #CEFDFF !important; color: #000000 !important";> Lihat Jadwal </button>
          </a>
      </div>
      <br>
      <h3 id="fulfill"> Add your schedule by fulfilling this field below </h3> 
      <br>
  
<form id="form" method="POST" action="/story5/post" enctype="multipart/form-data"> 
  {% csrf_token %}
  
    <!-- <input type="hidden" name="csrfmiddlewaretoken" value="LfHeN44tRJpVEPDFdKb6GzLiIi6AsRp0afOMlbuEVU6JjAmyvx87kIrNl4v204uO"> -->
          <div class="form-group">
                <p><label for="id_nama">Mata Kuliah :</label> <input type="text" name="nama" class="form-control" maxlength="100" required id="id_nama"></p>
                <p><label for="id_dosen">Nama Dosen :</label> <input type="text" name="dosen" class="form-control" maxlength="100" required id="id_dosen"></p>
                <p><label for="id_jumlahsks">Jumlah SKS :</label> <input type="text" name="jumlahsks" class="form-control" maxlength="100" required id="id_jumlahsks"></p>
                <p><label for="id_deskripsi">Deskripsi Singkat :</label> <input type="text" name="deskripsi" class="form-control" required id="id_deskripsi"></p>
                <p><label for="id_semestertahun">Semester / Tahun :</label> <input type="text" name="semestertahun" class="form-control" maxlength="50" required id="id_semestertahun"></p>
                <p><label for="id_ruangan">Ruang Kelas :</label> <input type="text" name="ruangan" class="form-control" maxlength="100" required id="id_ruangan"></p>
          </div>
          <br>
          <button type="submit" class="btn btn-info" id="bton" style="background-color: #CEFDFF !important; color: #000000 !important";> Tambah Jadwal </button>
      </form>
  </div>
  <div id="lihat_jadwal">
          <br>
          <br>
          <br>
          <br>
          <table>
            <tr>
                <th id="sch_list"> Schedule List </th>
            </tr>
            {% for i in data %}
                <tr>
                    <td>
                        <a href="/story5/{{ i.pk }}">
                            <p>{{ i.nama }}</p>
                        </a>
                    </td>
                </tr>
            {% endfor %}
        </table>

            
      </div>
    </form>

  </div>

  </section>



  <!-- Call to Action -->
  <section class="content-section bg-warning text-white" style="background-color:#CDFEE5 !important;">
    <div class="container text-center">
      <h2 class="mb-4" style="color:#000000 !important";> Call to Action </h2>
      <a href="/story5/" class="btn btn-xl btn-light mr-4"> Back to the top </a>
      <a href="/" class="btn btn-xl btn-dark"> Back to Homepage </a>
    </div>
  </section>

  <!-- Footer -->
  <footer class="footer text-center">
    <div class="container">
      <ul class="list-inline mb-5">
        <li class="list-inline-item">
          <a class="social-link rounded-circle text-white mr-3" href="https://instagram.com/uchiml" target="_blank" style="background-color:#a288e3 !important";>
            <i class="fab fa-instagram"></i>
          </a>
        </li>
        <li class="list-inline-item">
          <a class="social-link rounded-circle text-white mr-3 " href="https://linkedin.com/in/uchiml" target="_blank" style="background-color:#a288e3 !important";>
            <i class="fab fa-linkedin"></i>
          </a>
        </li>
        <li class="list-inline-item">
          <a class="social-link rounded-circle text-white" href="mailto:uchiml50@gmail.com" target="_blank" style="background-color:#a288e3 !important";>
            <i class="fab fa-google-plus-g"></i>
          </a>
        </li>
      </ul>
      <p class="text-muted small mb-0">Copyright &copy; Uchi Muchlisah L 2020</p>
    </div>
  </footer>


  <!-- Bootstrap core JavaScript -->
  <script src="vendor/jquery/jquery.min.js"></script>
  <script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

  <!-- Plugin JavaScript -->
  <script src="vendor/jquery-easing/jquery.easing.min.js"></script>

  <!-- Custom scripts for this template -->
  <script src="js/stylish-portfolio.min.js"></script>

</body>

</html>


{% endblock %}


     